Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3665 - PAM grants rlogin regardless of nologin
Summary: PAM grants rlogin regardless of nologin
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pam
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-23 13:12 UTC by loris.renggli
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-07-02 22:38:06 UTC


Attachments (Terms of Use)

Description loris.renggli 1999-06-23 13:12:30 UTC
Including or not a "pam_nologin" stanza in /etc/pam.d/rlogin
has no effect: rlogin will succeed (provided of course
proper entries in $HOME/.rhosts file) even if the file
/etc/nologin exists.

Comment 1 Jay Turner 1999-06-23 14:22:59 UTC
This issue has been forwarded to a developer for further action.

Comment 2 Cristian Gafton 1999-07-02 22:38:59 UTC
depends where you put that pam_nologin module and how you configure
it. You need to put the pam_nologin module before pam_rhosts one.
This works on my system:
auth       required     /lib/security/pam_securetty.so
auth       required     /lib/security/pam_nologin.so
auth       sufficient   /lib/security/pam_rhosts_auth.so
auth       required     /lib/security/pam_pwdb.so shadow nullok
account    required     /lib/security/pam_pwdb.so
password   required     /lib/security/pam_cracklib.so
password   required     /lib/security/pam_pwdb.so shadow nullok
use_authtok
session    required     /lib/security/pam_pwdb.so


Note You need to log in before you can comment on or make changes to this bug.